Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.statistics
Class RDFModelStatistics

    java.lang.Object
      |
      +--gr.forth.ics.vrp.statistics.RDFModelStatistics

public class RDFModelStatistics
extends Object

Computes & Reports statistics based on the model & the RDF_DAG for subclass and subproperty hierarchies constructed by VRP.

Constructor Summary
`RDFModelStatistics(Model mdl)`

Method Summary
`HashMap` | `getInstanceDistribution()` Returns the instances distribution.
`HashMap` | `instancesPerClass()` Returns the number of instances of each class
`void` | `printHierarchyStatistics(RDF_DAG rdf_dag, boolean classHier)` Changed on 11-12-2001 in order to print the statistics about superclasses in order to be able to print both total and detailed statistics for hierarchies Prints the statistics for every hierarchy contained in the RDF_DAG.
`void` | `printInstanceDistribution()` Prints the number of instances per class
`void` | `relativeDistribution(RDF_DAG rdf_dag, int hierType, int relKind, Resource classRoot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFModelStatistics

    public RDFModelStatistics(Model mdl)

Method Detail

### instancesPerClass

    public HashMap instancesPerClass()

  Returns the number of instances of each class

### getInstanceDistribution

    public HashMap getInstanceDistribution()

  Returns the instances distribution. More precisely, the first column of the hashmap contains the number of instances and the second column the number of classes having that number of instances

### printInstanceDistribution

    public void printInstanceDistribution()

  Prints the number of instances per class

### printHierarchyStatistics

    public void printHierarchyStatistics(RDF_DAG rdf_dag,
                                         boolean classHier)

  Changed on 11-12-2001 in order to print the statistics about superclasses in order to be able to print both total and detailed statistics for hierarchies Prints the statistics for every hierarchy contained in the RDF_DAG. It prints i) the maximum number of subnodes ii) the average number of subnodes iii) the number of hierarchy nodes iv) the maximum depth v) the average depth vi) the number of paths

  Parameters:
    `rdf_dag` - the RDF_DAG that represents the Hierarchy
    `classHier` - If true indicates that the rdf_dag contains the class hierarchy otherwise the rdf_dag contains the property hierarchy

### relativeDistribution

    public void relativeDistribution(RDF_DAG rdf_dag,
                                     int hierType,
                                     int relKind,
                                     Resource classRoot)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD